Skip to content

Which sender would text a number, at what price, and when

POST
/api/v1/workspaces/{workspace}/sms/route-test
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/route-test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "message": "example", "phone": "example" }'

Permission: providers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
message
string
<= 60 characters
phone
required
string
>= 3 characters <= 40 characters

Example generated

{
"message": "example",
"phone": "example"
}

OK

Media typeapplication/json
object
adapter
required
string
callingCode
required
string
canReply
required
boolean
canSend
required
boolean
cost
required
number format: double
country
required
string
helpNumber
string
inside
required
boolean
local
required
string
number
required
string
opens
required
string
price
required
number format: double
provider
required
string
registration
required
object
country
required
string
kind
required
string
Allowed values: toll_free brand campaign sender_id ""
name
string
readAt
string format: date-time
reason
string
setBy
string
since
string format: date-time
source
required
string
Allowed values: api manual rule ""
status
required
string
Allowed values: not_registered pending verified approved rejected allowed not_supported
route
required
string
Allowed values: route other none
routeCountries
required
Array<string>
segments
required
integer format: int64
sender
required
string
senderKind
required
string
suppressed
string
window
required
string
zone
required
string
zoneSource
required
string

Example

{
"registration": {
"kind": "toll_free",
"source": "api",
"status": "not_registered"
},
"route": "route"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}